XNIException (Xerces Native Interface)
Date: 2018-10-16

org.apache.xerces.xni

## Class XNIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.xerces.xni.XNIException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    XMLConfigurationException, XMLParseException

      public class XNIException
      extends java.lang.RuntimeException

  This exception is the base exception of all XNI exceptions. It can be constructed with an error message or used to wrap another exception object.

  Note: By extending the Java `RuntimeException`, XNI handlers and components are not required to catch XNI exceptions but may explicitly catch them, if so desired.

  Version:
    $Id: XNIException.java 766579 2009-04-20 05:31:56Z mrglavas $
  Author:
    Andy Clark, IBM
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XNIException(java.lang.Exception exception)` Constructs an XNI exception with a wrapped exception.
    `XNIException(java.lang.String message)` Constructs an XNI exception with a message.
    `XNIException(java.lang.String message, java.lang.Exception exception)` Constructs an XNI exception with a message and wrapped exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Returns the cause of this `XNIException`.
    `java.lang.Exception` | `getException()` Returns the wrapped exception.
    `java.lang.Throwable` | `initCause(java.lang.Throwable throwable)` Initializes the cause of this `XNIException`.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XNIException

          public XNIException(java.lang.String message)

      Constructs an XNI exception with a message.
      Parameters:
        `message` - The exception message.

    - #### XNIException

          public XNIException(java.lang.Exception exception)

      Constructs an XNI exception with a wrapped exception.
      Parameters:
        `exception` - The wrapped exception.

    - #### XNIException

          public XNIException(java.lang.String message,
                              java.lang.Exception exception)

      Constructs an XNI exception with a message and wrapped exception.
      Parameters:
        `message` - The exception message.
        `exception` - The wrapped exception.

  - ### Method Detail

    - #### getException

          public java.lang.Exception getException()

      Returns the wrapped exception.

    - #### initCause

          public java.lang.Throwable initCause(java.lang.Throwable throwable)

      Initializes the cause of this `XNIException`. The value must be an instance of `Exception` or `null`.
      Overrides:
        `initCause` in class `java.lang.Throwable`
      Parameters:
        `throwable` - the cause
      Returns:
        this exception
      Throws:
        `java.lang.IllegalStateException` - if a cause has already been set
        `java.lang.IllegalArgumentException` - if the cause is this exception
        `java.lang.ClassCastException` - if the cause is not assignable to `Exception`

    - #### getCause

          public java.lang.Throwable getCause()

      Returns the cause of this `XNIException`.
      Overrides:
        `getCause` in class `java.lang.Throwable`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.